Skip to main content
GET
/
v1alpha1
/
inference
/
deployments
List deployments
curl --request GET \
  --url https://api.example.com/v1alpha1/inference/deployments
{
  "items": [
    {
      "spec": {
        "id": "<string>",
        "name": "<string>",
        "gatewayIds": [
          "<string>"
        ],
        "runtime": {
          "engine": "<string>",
          "version": "<string>",
          "engineConfig": {}
        },
        "resources": {
          "instanceType": "<string>",
          "gpuCount": 123
        },
        "model": {
          "name": "<string>",
          "bucket": "<string>",
          "path": "<string>"
        },
        "autoscaling": {
          "min": 123,
          "max": 123,
          "priority": 123,
          "capacityClasses": [
            123
          ],
          "concurrency": 123
        },
        "traffic": {
          "weight": 123
        },
        "organizationId": "<string>",
        "disabled": true
      },
      "status": {
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z",
        "status": 123,
        "conditions": [
          {
            "type": "<string>",
            "status": 123,
            "lastUpdateTime": "2023-11-07T05:31:56Z",
            "reason": "<string>",
            "message": "<string>",
            "zone": "<string>"
          }
        ]
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.coreweave.com/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

parentGatewayId
string

The ID of the parent gateway to filter deployments by

updatedAfter
string<date-time>

Filter by those updated after this timestamp

Response

OK

Response for ListDeployments

items
object[]
read-only

The list of deployments

Last modified on May 6, 2026